AM263Px MCU+ SDK: RTI Functions

| AM263Px MCU+ SDK 26.00.00 |

Functions
RTI Functions
APIs for SDL Module | APIs for SDL IP Module » APIs for SDL RTI

## Introduction

## Functions
int32_t | SDL_RTI_config (SDL_RTI_InstanceType InstanceType, const SDL_RTI_configParms *pConfig)
| RTI configuration API. This API configures the specified RTI instance using the provided configuration. More...
int32_t | SDL_RTI_verifyConfig (SDL_RTI_InstanceType InstanceType, SDL_RTI_configParms *pConfig)
| RTI API to verify the written configuration. This API can be used after calling SDL_RTI_config in order to verify the configuration. It reads back the configuration from the registers and compares it with the provided configuration. More...
int32_t | SDL_RTI_start (SDL_RTI_InstanceType InstanceType)
| Enable the RTI instance. More...
int32_t | SDL_RTI_service (SDL_RTI_InstanceType InstanceType)
| Service the RTI instance. More...
int32_t | SDL_RTI_clearStatus (SDL_RTI_InstanceType InstanceType, uint32_t status)
| Clear the DWWD status. More...
int32_t | SDL_RTI_getStatus (SDL_RTI_InstanceType InstanceType, uint32_t *pStatus)
| Clear the DWWD status. More...
int32_t | SDL_RTI_readStaticRegs (SDL_RTI_InstanceType InstanceType, SDL_RTI_staticRegs *pStaticRegs)
| This API returns the static registers for RTI-DWWD. More...

## Function Documentation

## ◆ SDL_RTI_config()

int32_t SDL_RTI_config | ( | SDL_RTI_InstanceType | InstanceType,
|  | const SDL_RTI_configParms * | pConfig
| ) |  |

RTI configuration API. This API configures the specified RTI instance using the provided configuration.

Parameters

  InstanceType | RTI Instance
  pConfig | Pointer to the configuration structure

Returns
  SDL_PASS for Success. SDL Error Code for failure.

## ◆ SDL_RTI_verifyConfig()

int32_t SDL_RTI_verifyConfig | ( | SDL_RTI_InstanceType | InstanceType,
|  | SDL_RTI_configParms * | pConfig
| ) |  |

RTI API to verify the written configuration. This API can be used after calling SDL_RTI_config in order to verify the configuration. It reads back the configuration from the registers and compares it with the provided configuration.

Parameters

  InstanceType | RTI Instance
  pConfig | Pointer to the configuration structure

Returns
  SDL_PASS if verification passed. SDL Error Code for failure.

## ◆ SDL_RTI_start()

int32_t SDL_RTI_start | ( | SDL_RTI_InstanceType | InstanceType | ) |

Enable the RTI instance.

Parameters

  InstanceType | RTI Instance

Returns
  SDL_PASS if success. SDL Error Code for failure.

Note
  Should be called after configuration of the RTI

## ◆ SDL_RTI_service()

int32_t SDL_RTI_service | ( | SDL_RTI_InstanceType | InstanceType | ) |

Service the RTI instance.

Parameters

  InstanceType | RTI Instance

Returns
  SDL_PASS if success. SDL Error Code for failure.

## ◆ SDL_RTI_clearStatus()

int32_t SDL_RTI_clearStatus | ( | SDL_RTI_InstanceType | InstanceType,
|  | uint32_t | status
| ) |  |

Clear the DWWD status.

Parameters

  InstanceType | RTI Instance
  status | Violation status to clear. Values given by bitwise or of macro RTI_Status_t

Returns
  SDL_PASS if success. SDL Error Code for failure.

## ◆ SDL_RTI_getStatus()

int32_t SDL_RTI_getStatus | ( | SDL_RTI_InstanceType | InstanceType,
|  | uint32_t * | pStatus
| ) |  |

Clear the DWWD status.

Parameters

  InstanceType | RTI Instance
  pStatus | pointer to DWWD status. Refer macro RTI_Status_t for possible bitwise or of all return values.

Returns
  SDL_PASS if success. SDL Error Code for failure.

## ◆ SDL_RTI_readStaticRegs()

int32_t SDL_RTI_readStaticRegs | ( | SDL_RTI_InstanceType | InstanceType,
|  | SDL_RTI_staticRegs * | pStaticRegs
| ) |  |

This API returns the static registers for RTI-DWWD.

Parameters

  InstanceType | Base Address of the RTI instance.
  pStaticRegs | Pointer to RTI DWWD Static Registers.

Returns
  SDL_PASS if success. SDL Error Code for failure.